''' views (sub) package '''


def includeme(config):
    '''
    Initialize the resources for traversal in a Pyramid app.

    Activate this setup using ``config.include('ordr2.views')``.

    '''
    settings = config.get_settings()
    age = int(settings.get('static_views.cache_max_age', 3600))

    config.add_static_view('static', 'ordr2:static', cache_max_age=age)
    config.add_static_view('deform', 'deform:static', cache_max_age=age)
